Next: 4.5 Command Line History Up: 4. General features Previous: 4.3 Command Line Arguments Contents Index

#
4.4 Standardized command line options

Most of the programs take many of the same arguments like those related to setting the data region, the map projection, etc. The 13 switches in Table 4.1 have the same meaning in all the programs (Some programs may not use all of them). These options are described in more detail in the manual pages.

Table 4.1: Standardized GMT command line switches.
Option | Meaning
-B | Defines tickmarks, annotations, and labels for basemaps and axes
-H | Specifies that input tables have header record(s)
-J | Selects a map projection or one of several non-map projections
-K | Allows more plot code to be appended to this plot later
-O | Allows this plot code to be appended to an existing plot
-P | Selects Portrait plot orientation [Default is landscape]
-R | Defines the min. and max. coordinates of the map/plot region
-U | Plots a time-stamp, by default in the lower left corner of page
-V | Verbose operation
-X | Sets the x-coordinate for the plot origin on the page
-Y | Sets the y-coordinate for the plot origin on the page
-c | Specifies the number of plot copies
-: | Input geographic data are (lat,lon) rather than (lon,lat)

Next: 4.5 Command Line History Up: 4. General features Previous: 4.3 Command Line Arguments Contents Index